Subject: query: MPLS LSR MIB: why the mplsXCIndex

From: "James Tsillas" <[email-masked]>
Date: Thu, 4 Nov 1999 12:38:08 -0500

The MPLS Label Switch Router MIB defines the MplsXCEntry with
an index of { mplsXCIndex, mplsInSegementIfIndex, mplsInSegmentLabel,
mplsOutSegmentIndex }. What is the purpose of the mplsXCIndex.
Isn't it sufficient to index only via incoming segment interface
and label (in addition to outgoing segment index). Is there a
need to group cross-connects in another heirarchy based on this
mplsXCIndex (perhaps a multipoint-to-multipoint heirarchy?).
Can an implementor simply set the mplsXCIndex to 1 (assume it
is unused)?

thanks in advance for all replies,
-Jim.